﻿using System.Collections.Generic;
using System.Linq;

namespace WMFInterface
{
	/// <summary>
	/// Профиль файла
	/// </summary>
	public class Profile
	{
		public Profile(IEnumerable<Stream> streams)
		{
			streams_ = streams.ToArray();
		}
		
		/// <summary>
		/// Стримы
		/// </summary>
		public Stream[] Streams
		{
			get { return (Stream[])streams_.Clone(); }
		}

		public int ScriptsCount { get; set; }

		/// <summary>
		/// Стримы
		/// </summary>
		private readonly Stream[] streams_;
	}
}
