﻿namespace WMFInterface
{
	/// <summary>
	/// Информация об источнике
	/// </summary>
	public class SourceInfo
	{
		public SourceInfo(string fileName, bool copyScripts, params Stream[] streams)
		{
			FileName = fileName;
			Streams = streams;
			CopyScripts = copyScripts;
		}

		/// <summary>
		/// Флаг копирования скриптов
		/// </summary>
		public bool CopyScripts { get; private set; }
		/// <summary>
		/// Имя файла
		/// </summary>
		public string FileName { get; private set; }
		/// <summary>
		/// Стримы
		/// </summary>
		public Stream[] Streams { get; private set; }
	}
}
