﻿using System;
using System.Text.RegularExpressions;

namespace WMVStreamEditor
{
	/// <summary>
	/// Interaction logic for HeaderControl.xaml
	/// </summary>
	public partial class HeaderControl
	{
		public HeaderControl()
		{
			InitializeComponent();
		}

		public string Text
		{
			get
			{
				return text_;
			}
			set
			{
				if (value == text_)
					return;
				text_ = value;
				Label.Content = rxUnderscore_.Replace(value, "__");
			}
		}

		private string text_ = String.Empty;
		private static readonly Regex rxUnderscore_ = new Regex("_");
	}
}
